<?php include_once 'header.php';?>

<div class="row">
  <div class="col-md-4">
    <div class="card">
      <div class="card-header card-header-icon card-header-success">
        <div class="card-icon">
          <i class="material-icons">add</i>
        </div>
        <h4 class="card-title "><?php echo $jkl["g184"];?></h4>
      </div>
      <div class="card-body">
        
        <?php if ($errors) { ?>
          <div class="alert alert-danger"><?php if (isset($errors["e"])) echo $errors["e"];
          if (isset($errors["e1"])) echo $errors["e1"];?></div>
        <?php } ?>
        
        <form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
          
          <div class="form-group<?php if (isset($errors["e"])) echo " has-danger";?>">
            <label class="control-label" for="path"><?php echo $jkl["g167"];?></label>
            <input type="text" name="path" class="form-control" value="<?php if (isset($_POST["path"])) echo $_POST["path"];?>">
          </div>
          
          <div class="form-group<?php if (isset($errors["e1"])) echo " has-danger";?>">
            <label class="control-label" for="title"><?php echo $jkl["g16"];?></label>
            <input type="text" name="title" id="title" class="form-control" value="<?php if (isset($_POST["title"])) echo $_POST["title"];?>">
          </div>

        </div>

        <div class="card-footer">
          <button type="submit" name="insert_blacklist" class="btn btn-primary btn-block"><?php echo $jkl["g38"];?></button>
        </div>

      </form>
    </div>
  </div>
  <div class="col-md-8">

    <div class="card">
      <div class="card-header card-header-icon card-header-rose">
        <div class="card-icon">
          <i class="material-icons">traffic</i>
        </div>
        <h4 class="card-title "><?php echo $jkl["m27"];?></h4>
      </div>
      <div class="card-body">

        <?php if (isset($BLACKLIST_ALL) && is_array($BLACKLIST_ALL) && !empty($BLACKLIST_ALL)) { ?>
          <div class="table-responsive">
            <table class="table table-striped">
              <thead>
                <tr>
                  <th>#</th>
                  <th><?php echo $jkl["g16"];?></th>
                  <th><?php echo $jkl["g167"];?></th>
                  <th><?php echo $jkl["g47"];?></th>
                  <th><?php echo $jkl["g48"];?></th>
                </tr>
              </thead>
              <?php foreach($BLACKLIST_ALL as $v) { ?>
                <tr>
                  <td><?php echo $v["id"];?></td>
                  <td><a href="<?php echo JAK_rewrite::jakParseurl('blacklist', 'edit', $v["id"]);?>"><?php echo $v["title"];?></a></td>
                  <td><?php echo $v["path"];?></td>
                  <td><a class="btn btn-default btn-sm" href="<?php echo JAK_rewrite::jakParseurl('blacklist', 'edit', $v["id"]);?>"><i class="fa fa-pencil"></i></a></td>
                  <td><a class="btn btn-danger btn-sm btn-confirm" href="<?php echo JAK_rewrite::jakParseurl('blacklist', 'delete', $v["id"]);?>" data-title="<?php echo addslashes($jkl["g48"]);?>" data-text="<?php echo addslashes($jkl["e30"]);?>" data-type="warning" data-okbtn="<?php echo addslashes($jkl["g279"]);?>" data-cbtn="<?php echo addslashes($jkl["g280"]);?>"><i class="fa fa-trash"></i></a></td>
                </tr>
              <?php } ?>
            </table>
          </div>
        <?php } else { ?>

          <div class="alert alert-rose">
            <?php echo $jkl['i3'];?>
          </div>

        <?php } ?>

      </div>
    </div>
  </div>    
</div>

<?php include_once 'footer.php';?>
