<?php include_once 'header.php';?>

<div class="row">
  <div class="col-md-12">
    <ul class="nav nav-pills nav-pills-warning">
      <li class="nav-item">
        <a class="nav-link" href="<?php echo JAK_rewrite::jakParseurl('settings');?>"><?php echo $jkl["hd9"];?></a>
      </li>
      <?php if ($jakosub['tickets'] && jak_get_access("support", $jakuser->getVar("permissions"), JAK_MAIN_OP)){?>
        <li class="nav-item">
          <a class="nav-link" href="<?php echo JAK_rewrite::jakParseurl('settings', 'support');?>"><?php echo $jkl["hd10"];?></a>
        </li>
      <?php } if ($jakosub['faq'] && jak_get_access("faq", $jakuser->getVar("permissions"), JAK_MAIN_OP)){?>
        <li class="nav-item">
          <a class="nav-link" href="<?php echo JAK_rewrite::jakParseurl('settings', 'faq');?>"><?php echo $jkl["hd11"];?></a>
        </li>
      <?php } if ($jakosub['blog'] && jak_get_access("blog", $jakuser->getVar("permissions"), JAK_MAIN_OP)){?>
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo JAK_rewrite::jakParseurl('settings', 'blog');?>"><?php echo $jkl["hd12"];?></a>
        </li>
      <?php } ?>
      <li class="nav-item">
        <a class="nav-link" href="<?php echo JAK_rewrite::jakParseurl('settings', 'email');?>"><?php echo $jkl["hd119"];?></a>
      </li>
      <?php if ($jakosub['tickets'] && jak_get_access("support", $jakuser->getVar("permissions"), JAK_MAIN_OP)){?>
        <li class="nav-item">
          <a class="nav-link" href="<?php echo JAK_rewrite::jakParseurl('settings', 'phpimap');?>"><?php echo $jkl["hd43"];?></a>
        </li>
      <?php } ?>
    </ul>
  </div>
</div>
<hr>

<form method="post" class="jak_form" action="<?php echo $_SERVER['REQUEST_URI'];?>">

<div class="row">
  <div class="col-md-6">

      <div class="card">
        <div class="card-header card-header-icon card-header-success">
          <div class="card-icon">
            <i class="material-icons">description</i>
          </div>
          <h4 class="card-title "><?php echo $jkl["hd107"];?></h4>
        </div>
        <div class="card-body">

          <div class="form-group">
            <label class="control-label" for="jak_blog"><?php echo $jkl["hd108"];?></label>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_blog" value="1"<?php if (JAK_BLOG_A == 1) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g19"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_blog" value="0"<?php if (JAK_BLOG_A == 0) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g18"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
          </div>

          <div class="form-group">
            <label class="control-label" for="jak_blogc"><?php echo $jkl["hd218"];?></label>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_blogc" value="1"<?php if (JAK_BLOGPOSTAPPROVE == 1) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g19"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_blogc" value="0"<?php if (JAK_BLOGPOSTAPPROVE == 0) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g18"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
          </div>

          <div class="form-group">
            <label class="control-label" for="jak_blog_home"><?php echo $jkl["hd109"];?></label>
            <select name="jak_blog_home" class="selectpicker col-12" data-live-search="true">
              <option value="0"<?php if (JAK_BLOG_HOME == 0) echo ' selected';?>><?php echo $jkl["g304"];?></option>
              <?php for ($i = 1; $i < 13; $i++) {
                if ($i == JAK_BLOG_HOME) {
                  echo '<option value="'.$i.'" selected>'.$i.'</option>';
                } else {
                  echo '<option value="'.$i.'">'.$i.'</option>';
                }
              } ?>
            </select>
          </div>

          <!-- <div class="form-group">
            <label class="control-label" for="jak_blog_footer"><?php echo $jkl["hd110"];?></label>
            <select name="jak_blog_footer" class="selectpicker col-12" data-live-search="true">
              <option value="0"<?php if (JAK_BLOG_FOOTER == 0) echo ' selected';?>><?php echo $jkl["g304"];?></option>
              <?php for ($i = 1; $i < 11; $i++) {
                if ($i == JAK_BLOG_FOOTER) {
                  echo '<option value="'.$i.'" selected>'.$i.'</option>';
                } else {
                  echo '<option value="'.$i.'">'.$i.'</option>';
                }
              } ?>
            </select>
          </div> -->

        </div>
        <div class="card-footer">
          <button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
        </div>
      </div>

  </div>
  <div class="col-md-6">

    <div class="card">
          <div class="card-header card-header-icon card-header-primary">
        <div class="card-icon">
          <i class="material-icons">view_array</i>
        </div>
      <h4 class="card-title "><?php echo $jkl["hd261"];?></h4>
      </div>
      <div class="card-body">

        <div class="form-group">
          <label class="control-label" for="jak_blog_page"><?php echo $jkl["hd262"];?></label>
          <select name="jak_blog_page" class="selectpicker col-12" data-live-search="true">
          <?php for ($i = 1; $i < 20; $i++) {
            if ($i == JAK_BLOG_PAGE) {
            echo '<option value="'.$i.'" selected>'.$i.'</option>';
            } else {
            echo '<option value="'.$i.'">'.$i.'</option>';
            }
          } ?>
          </select>
        </div>

        <div class="form-group">
          <label class="control-label" for="jak_blog_pagination"><?php echo $jkl["hd261"];?></label>
          <select name="jak_blog_pagination" class="selectpicker col-12" data-live-search="true">
          <?php for ($i = 5; $i < 20; $i++) {
            if ($i == JAK_BLOG_PAGINATION) {
            echo '<option value="'.$i.'" selected>'.$i.'</option>';
            } else {
            echo '<option value="'.$i.'">'.$i.'</option>';
            }
          } ?>
          </select>

        </div>
      </div>

    </div>
  </div>
</div>


</form>

<?php include_once 'footer.php';?>
