<?php include_once 'header.php';?>

<?php if ($errors) { ?>
<div class="alert alert-danger">
  <?php if (isset($errors["e"])) echo $errors["e"];
  if (isset($errors["e1"])) echo $errors["e1"];
  if (isset($errors["e2"])) echo $errors["e2"];
  if (isset($errors["e3"])) echo $errors["e3"];
  if (isset($errors["e4"])) echo $errors["e4"];
  if (isset($errors["e5"])) echo $errors["e5"];
  if (isset($errors["e6"])) echo $errors["e6"];
  if (isset($errors["e7"])) echo $errors["e7"];?>
</div>
<?php } ?>

<form class="jak_form" method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>" enctype="multipart/form-data">

<div class="row">
  <div class="col-md-6">

    <div class="card">
      <div class="card-header card-header-icon card-header-success">
        <div class="card-icon">
          <i class="material-icons">create</i>
        </div>
        <h4 class="card-title "><?php echo $jkl["g137"];?></h4>
      </div>
      <div class="card-body">

        <div class="row">
          <div class="col-md-9">

            <div class="form-group<?php if (isset($errors["e1"])) echo " has-danger";?>">
              <label class="control-label" for="name"><?php echo $jkl["u"];?></label>
              <input type="text" name="jak_name" id="name" class="form-control" value="<?php echo $JAK_FORM_DATA["name"];?>">
            </div>

            <div class="form-group">
              <label class="control-label<?php if (isset($errors["e2"])) echo " has-danger";?>" for="email"><?php echo $jkl["u1"];?></label>
              <input type="text" name="jak_email" id="email" class="form-control" value="<?php echo $JAK_FORM_DATA["email"];?>">
            </div>

            <div class="form-group<?php if (isset($errors["e3"]) || isset($errors["e4"])) echo " has-danger";?>">
              <label class="control-label" for="username"><?php echo $jkl["u2"];?></label>
              <input type="text" name="jak_username" id="username" class="form-control" value="<?php echo $JAK_FORM_DATA["username"];?>">
              <input type="hidden" name="jak_username_old" value="<?php echo $JAK_FORM_DATA["username"];?>">
            </div>

            <div class="form-check form-check-inline">
              <label class="form-check-label">
                <input class="form-check-input" type="checkbox" name="jak_delete_avatar"> <?php echo $jkl["u46"];?>
                <span class="form-check-sign">
                  <span class="check"></span>
                </span>
              </label>
            </div>

          </div>
          <div class="col-md-3">

            <div class="form-group">
              <div class="fileinput fileinput-new text-center" data-provides="fileinput">
                <div class="fileinput-new thumbnail img-circle">
                  <img src="<?php echo BASE_URL;?>img/avatar_placeholder.jpg" alt="placeholder">
                </div>
                <div class="fileinput-preview fileinput-exists thumbnail img-circle"></div>
                <div>
                  <span class="btn btn-round btn-rose btn-file">
                    <span class="fileinput-new"><?php echo $jkl["u10"];?></span>
                    <span class="fileinput-exists"><?php echo $jkl['i71'];?></span>
                    <input type="file" name="uploadpp" id="uploadpp" accept="image/*" />
                  </span>
                  <br />
                  <a href="javascript:void(0)" class="btn btn-danger btn-round fileinput-exists" data-dismiss="fileinput"><i class="fa fa-times"></i> <?php echo $jkl['i72'];?></a>
                </div>
              </div>
            </div>

          </div>
        </div>

        <?php if (jak_get_access("usrmanage", $jakuser->getVar("permissions"), JAK_MAIN_OP)) { ?>

          <div class="form-group">
            <label class="control-label" for="jak_uolist"><?php echo $jkl["u43"];?></label>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_uolist" value="1"<?php if ($JAK_FORM_DATA["useronlinelist"] == 1) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g19"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_uolist" value="0"<?php if ($JAK_FORM_DATA["useronlinelist"] == 0) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g18"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
          </div>

          <div class="form-group">
            <label class="control-label" for="jak_access"><?php echo $jkl["u3"];?></label>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_access" value="1"<?php if ($JAK_FORM_DATA["access"] == 1) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g19"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_access" value="0"<?php if ($JAK_FORM_DATA["access"] == 0) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g18"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
          </div>

          <div class="form-group">
            <label class="control-label" for="jak_responses"><?php echo $jkl["u6"];?></label>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_responses" value="1"<?php if ($JAK_FORM_DATA["responses"] == 1) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g19"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_responses" value="0"<?php if ($JAK_FORM_DATA["responses"] == 0) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g18"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
          </div>

          <div class="form-group">
            <label class="control-label" for="jak_files"><?php echo $jkl["u7"];?></label>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_files" value="1"<?php if ($JAK_FORM_DATA["files"] == 1) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g19"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_files" value="0"<?php if ($JAK_FORM_DATA["files"] == 0) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g18"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
          </div>

          <div class="form-group">
            <label class="control-label" for="jak_chat"><?php echo $jkl["u13"];?></label>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_chat" value="1"<?php if ($JAK_FORM_DATA["operatorchat"] == 1) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g19"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_chat" value="0"<?php if ($JAK_FORM_DATA["operatorchat"] == 0) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g18"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
          </div>

          <div class="form-group">
            <label class="control-label" for="jak_chatpublic"><?php echo $jkl["u41"];?></label>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_chatpublic" value="1"<?php if ($JAK_FORM_DATA["operatorchatpublic"] == 1) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g19"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_chatpublic" value="0"<?php if ($JAK_FORM_DATA["operatorchatpublic"] == 0) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g18"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
          </div>

          <div class="form-group">
            <label class="control-label" for="jak_chatlist"><?php echo $jkl["g137"];?></label>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_chatlist" value="1"<?php if ($JAK_FORM_DATA["operatorlist"] == 1) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g19"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_chatlist" value="0"<?php if ($JAK_FORM_DATA["operatorlist"] == 0) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g18"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
          </div>

          <div class="form-group">
            <label class="control-label" for="jak_transfer"><?php echo $jkl["u45"];?></label>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_transfer" value="1"<?php if ($JAK_FORM_DATA["transferc"] == 1) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g19"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_transfer" value="0"<?php if ($JAK_FORM_DATA["transferc"] == 0) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g18"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
          </div>

        <?php } ?>

        <div class="form-group">
          <label class="control-label" for="jak_latency"><?php echo $jkl["g239"];?></label>
          <div class="form-check">
            <label class="form-check-label">
              <input class="form-check-input" type="radio" name="jak_latency" value="3000"<?php if ($JAK_FORM_DATA["chat_latency"] == 3000) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g240"];?>
              <span class="circle">
                <span class="check"></span>
              </span>
            </label>
          </div>
          <div class="form-check">
            <label class="form-check-label">
              <input class="form-check-input" type="radio" name="jak_latency" value="5000"<?php if ($JAK_FORM_DATA["chat_latency"] == 5000) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g241"];?>
              <span class="circle">
                <span class="check"></span>
              </span>
            </label>
          </div>
        </div>

        <div class="form-group">
          <label class="control-label" for="jak_sound"><?php echo $jkl["g2"];?></label>
          <div class="form-check">
            <label class="form-check-label">
              <input class="form-check-input" type="radio" name="jak_sound" value="1"<?php if ($JAK_FORM_DATA["sound"] == 1) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g19"];?>
              <span class="circle">
                <span class="check"></span>
              </span>
            </label>
          </div>
          <div class="form-check">
            <label class="form-check-label">
              <input class="form-check-input" type="radio" name="jak_sound" value="0"<?php if ($JAK_FORM_DATA["sound"] == 0) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g18"];?>
              <span class="circle">
                <span class="check"></span>
              </span>
            </label>
          </div>
        </div>

        <div class="form-group">
          <label class="control-label" for="jak_ringing"><?php echo $jkl["g200"];?></label>
          <select name="jak_ringing" class="selectpicker col-12" data-live-search="true">
            <?php for ($i = 1; $i < 30; $i++) {
              if ($i == $JAK_FORM_DATA["ringing"]) {
                echo '<option value="'.$i.'" selected>'.$i.'</option>';
              } else {
                echo '<option value="'.$i.'">'.$i.'</option>';
              }
            } ?>
          </select>
        </div>

        <div class="form-group">
          <label class="control-label" for="jak_lang"><?php echo $jkl["g22"];?></label>
          <select name="jak_lang" class="selectpicker col-12" data-live-search="true">
            <option value=""><?php echo $jkl["u11"];?></option>
            <?php if (isset($lang_files) && is_array($lang_files)) foreach($lang_files as $lf) { ?><option value="<?php echo $lf;?>"<?php if ($JAK_FORM_DATA["language"] == $lf) { ?> selected="selected"<?php } ?>><?php echo ucwords($lf);?></option><?php } ?>
          </select>
        </div>

        <div class="form-group">
          <label class="control-label" for="jak_navside"><?php echo $jkl["u57"];?></label>
          <div class="form-check">
            <label class="form-check-label">
              <input class="form-check-input" type="radio" name="jak_navside" value="1"<?php if ($JAK_FORM_DATA["navsidebar"] == 1) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g19"];?>
              <span class="circle">
                <span class="check"></span>
              </span>
            </label>
          </div>
          <div class="form-check">
            <label class="form-check-label">
              <input class="form-check-input" type="radio" name="jak_navside" value="0"<?php if ($JAK_FORM_DATA["navsidebar"] == 0) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g18"];?>
              <span class="circle">
                <span class="check"></span>
              </span>
            </label>
          </div>
        </div>

        <div class="form-group">
          <label class="control-label" for="jak_themecolour"><?php echo $jkl["g367"];?></label>
          <select name="jak_themecolour" class="selectpicker col-12" data-live-search="true">
            <option value="purple"<?php if ($JAK_FORM_DATA["themecolour"] == 'purple') echo ' selected';?>><?php echo $jkl["g368"];?></option>
                      <option value="azure"<?php if ($JAK_FORM_DATA["themecolour"] == 'azure') echo ' selected';?>><?php echo $jkl["g369"];?></option>
                      <option value="green"<?php if ($JAK_FORM_DATA["themecolour"] == 'green') echo ' selected';?>><?php echo $jkl["g370"];?></option>
                      <option value="orange"<?php if ($JAK_FORM_DATA["themecolour"] == 'orange') echo ' selected';?>><?php echo $jkl["g371"];?></option>
                      <option value="danger"<?php if ($JAK_FORM_DATA["themecolour"] == 'danger') echo ' selected';?>><?php echo $jkl["g372"];?></option>
                      <option value="rose"<?php if ($JAK_FORM_DATA["themecolour"] == 'rose') echo ' selected';?>><?php echo $jkl["g373"];?></option>
                      <option value="white"<?php if ($JAK_FORM_DATA["themecolour"] == 'white') echo ' selected';?>><?php echo $jkl["g374"];?></option>
          </select>
        </div>

        <div class="form-group">
          <label class="control-label" for="jak_menubg"><?php echo $jkl["g376"];?></label>
          <select name="jak_menubg" class="selectpicker col-12" data-live-search="true">
                      <option value="white"<?php if ($JAK_FORM_DATA["menubg"] == 'white') echo ' selected';?>><?php echo $jkl["g374"];?></option>
                      <option value="black"<?php if ($JAK_FORM_DATA["menubg"] == 'black') echo ' selected';?>><?php echo $jkl["g375"];?></option>
                      <option value="red"<?php if ($JAK_FORM_DATA["menubg"] == 'red') echo ' selected';?>><?php echo $jkl["g372"];?></option>
          </select>
        </div>

      </div>
      <div class="card-footer">
        <button type="submit" name="save" class="btn btn-primary form-submit"><?php echo $jkl["g38"];?></button>
      </div>
    </div>

    <?php if (jak_get_access("usrmanage", $jakuser->getVar("permissions"), JAK_MAIN_OP)) { ?>

      <div class="card">
        <div class="card-header card-header-icon card-header-danger">
          <div class="card-icon">
            <i class="material-icons">list_alt</i>
          </div>
          <h4 class="card-title "><?php echo $jkl["m9"];?></h4>
        </div>
        <div class="card-body">

          <div class="form-group">
            <label class="control-label" for="jak_depid"><?php echo $jkl["hd2"];?></label>
            <select name="jak_depid[]" class="selectpicker col-12" data-live-search="true" multiple>
              <option value="0"<?php if ($JAK_FORM_DATA["chat_dep"] == 0) { ?> selected="selected"<?php } ?>><?php echo $jkl["g105"];?></option>
              <?php if (isset($JAK_DEPARTMENTS) && is_array($JAK_DEPARTMENTS)) foreach($JAK_DEPARTMENTS as $z) { ?>

                <option value="<?php echo $z["id"];?>"<?php if (in_array($z["id"], explode(',', $JAK_FORM_DATA["chat_dep"]))) echo ' selected';?>><?php echo $z["title"];?></option>

              <?php } ?>
            </select>
          </div>

          <div class="form-group">
            <label class="control-label" for="jak_depids"><?php echo $jkl["hd3"];?></label>

            <select name="jak_depids[]" class="selectpicker col-12" data-live-search="true" multiple>
              <option value="0"<?php if ($JAK_FORM_DATA["support_dep"] == 0) { ?> selected="selected"<?php } ?>><?php echo $jkl["g105"];?></option>
              <?php if (isset($JAK_DEP_SUPPORT) && is_array($JAK_DEP_SUPPORT)) foreach($JAK_DEP_SUPPORT as $z) { ?>

                <option value="<?php echo $z["id"];?>"<?php if (in_array($z["id"], explode(',', $JAK_FORM_DATA["support_dep"]))) echo ' selected';?>><?php echo $z["title"];?></option>

              <?php } ?>
            </select>
          </div>

        </div>
        <div class="card-footer">
          <button type="submit" name="save" class="btn btn-primary pull-right form-submit"><?php echo $jkl["g38"];?></button>
        </div>
      </div>

    <?php } ?>

  </div>
  <div class="col-md-6">

    <div class="card">
      <div class="card-header card-header-icon card-header-info">
        <div class="card-icon">
          <i class="material-icons">face</i>
        </div>
        <h4 class="card-title "><?php echo $jkl["hd250"];?></h4>
      </div>
      <div class="card-body">

        <div class="form-group">
          <label class="control-label" for="jak_aboutme"><?php echo $jkl["hd250"];?></label>
          <input type="text" name="jak_aboutme" class="form-control" value="<?php echo $JAK_FORM_DATA["aboutme"];?>">
        </div>
      </div>
      <div class="card-footer">
        <button type="submit" name="save" class="btn btn-primary pull-right form-submit"><?php echo $jkl["g38"];?></button>
      </div>
    </div>

    <div class="card">
      <div class="card-header card-header-icon card-header-primary">
        <div class="card-icon">
          <i class="material-icons">insert_invitation</i>
        </div>
        <h4 class="card-title "><?php echo $jkl["u12"];?></h4>
      </div>
      <div class="card-body">

        <div class="form-group">
          <label class="control-label" for="jak_inv"><?php echo $jkl["u12"];?></label>
          <input type="text" name="jak_inv" class="form-control" value="<?php echo $JAK_FORM_DATA["invitationmsg"];?>">
        </div>
      </div>
      <div class="card-footer">
        <button type="submit" name="save" class="btn btn-primary pull-right form-submit"><?php echo $jkl["g38"];?></button>
      </div>
    </div>

    <div class="card">
      <div class="card-header card-header-icon card-header-warning">
        <div class="card-icon">
          <i class="material-icons">vpn_key</i>
        </div>
        <h4 class="card-title "><?php echo $jkl["g39"];?></h4>
      </div>
      <div class="card-body">

        <div class="form-group<?php if (isset($errors["e5"]) || isset($errors["e6"])) echo " has-danger";?>">
          <label class="control-label" for="pass"><?php echo $jkl["u4"];?></label>
          <input type="password" name="jak_password" id="pass" class="form-control" value="">
        </div>

        <div class="form-group<?php if (isset($errors["e5"]) || isset($errors["e6"])) echo " has-danger";?>">
          <label class="control-label" for="jak_confirm_password"><?php echo $jkl["u5"];?></label>
          <input type="password" name="jak_confirm_password" class="form-control" value="">
        </div>

        <div class="progress">
          <div id="jak_pstrength" class="progress-bar progress-bar-striped progress-bar-animated" style="width:0" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
        </div>

      </div>
      <div class="card-footer">
        <button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
      </div>
    </div>

    <?php if (jak_get_access("usrmanage", $jakuser->getVar("permissions"), JAK_MAIN_OP)) { ?>

      <div class="card">
        <div class="card-header card-header-icon card-header-rose">
          <div class="card-icon">
            <i class="material-icons">accessibility_new</i>
          </div>
          <h4 class="card-title "><?php echo $jkl["u29"];?></h4>
        </div>
        <div class="card-body">

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="leads"<?php if (in_array("leads", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["u30"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="leads_all"<?php if (in_array("leads_all", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["u30"].' ('.$jkl["g105"].')';?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="off_all"<?php if (in_array("off_all", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g33"].' ('.$jkl["g105"].')';?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="ochat"<?php if (in_array("ochat", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["u31"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="ochat_all"<?php if (in_array("ochat_all", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["u31"].' ('.$jkl["g105"].')';?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="support"<?php if (in_array("support", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["hd"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="faq"<?php if (in_array("faq", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["hd1"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="blog"<?php if (in_array("blog", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["hd13"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="statistic"<?php if (in_array("statistic", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["u32"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="statistic_all"<?php if (in_array("statistic_all", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["u32"].' ('.$jkl["g105"].')';?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="files"<?php if (in_array("files", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["u33"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="proactive"<?php if (in_array("proactive", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["u34"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="usrmanage"<?php if (in_array("usrmanage", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["u42"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="client"<?php if (in_array("client", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["hd14"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="billing"<?php if (in_array("billing", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["hd22"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="responses"<?php if (in_array("responses", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["u35"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="departments"<?php if (in_array("departments", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["u36"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="settings"<?php if (in_array("settings", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["u37"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="answers"<?php if (in_array("answers", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["u44"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="widget"<?php if (in_array("widget", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["m26"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="groupchat"<?php if (in_array("groupchat", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["m29"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="blacklist"<?php if (in_array("blacklist", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["m27"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

          <div class="form-check form-check-inline">
            <label class="form-check-label">
              <input class="form-check-input" type="checkbox" name="jak_roles[]" value="blocklist"<?php if (in_array("blocklist", explode(',', $JAK_FORM_DATA["permissions"]))) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g97"];?>
              <span class="form-check-sign">
                <span class="check"></span>
              </span>
            </label>
          </div>

        </div>
        <div class="card-footer">
          <button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
        </div>
      </div>

    <?php } ?>

    <div class="card">
      <div class="card-header card-header-icon card-header-success">
        <div class="card-icon">
          <i class="material-icons">access_alarms</i>
        </div>
        <h4 class="card-title "><?php echo $jkl["u17"];?></h4>
      </div>
      <div class="card-body">

        <div class="form-group">
          <label class="control-label" for="jak_alwaysnot"><?php echo $jkl["u25"];?></label>
          <div class="form-check">
            <label class="form-check-label">
              <input class="form-check-input" type="radio" name="jak_alwaysnot" value="1"<?php if ($JAK_FORM_DATA["alwaysnot"] == 1) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g19"];?>
              <span class="circle">
                <span class="check"></span>
              </span>
            </label>
          </div>
          <div class="form-check">
            <label class="form-check-label">
              <input class="form-check-input" type="radio" name="jak_alwaysnot" value="0"<?php if ($JAK_FORM_DATA["alwaysnot"] == 0) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g18"];?>
              <span class="circle">
                <span class="check"></span>
              </span>
            </label>
          </div>
        </div>

        <div class="form-group">
          <label class="control-label" for="jak_emailnot"><?php echo $jkl["g214"];?></label>
          <div class="form-check">
            <label class="form-check-label">
              <input class="form-check-input" type="radio" name="jak_emailnot" value="1"<?php if ($JAK_FORM_DATA["emailnot"] == 1) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g19"];?>
              <span class="circle">
                <span class="check"></span>
              </span>
            </label>
          </div>
          <div class="form-check">
            <label class="form-check-label">
              <input class="form-check-input" type="radio" name="jak_emailnot" value="0"<?php if ($JAK_FORM_DATA["emailnot"] == 0) { ?> checked="checked"<?php } ?>> <?php echo $jkl["g18"];?>
              <span class="circle">
                <span class="check"></span>
              </span>
            </label>
          </div>
        </div>

        <div class="form-group">
          <label class="control-label" for="whatsphone"><?php echo $jkl["u53"];?></label>
          <input type="text" name="jak_whatsphone" id="whatsphone" class="form-control" value="<?php echo $JAK_FORM_DATA["whatsappnumber"];?>">
        </div>

        <?php if (JAK_TW_SID && JAK_TW_TOKEN) { ?>

          <div class="form-group">
            <label class="control-label" for="phone"><?php echo $jkl["u14"];?></label>
            <input type="text" name="jak_phone" id="phone" class="form-control" value="<?php echo $JAK_FORM_DATA["phonenumber"];?>">
          </div>

        <?php } ?>

          <div class="form-group">
            <label class="control-label" for="pushot"><?php echo $jkl["u49"];?></label>
            <input type="text" name="jak_pushot" id="pushot" class="form-control" value="<?php echo $JAK_FORM_DATA["pusho_tok"];?>">
          </div>

          <div class="form-group">
            <label class="control-label" for="pushok"><?php echo $jkl["u50"];?></label>
            <input type="text" name="jak_pushok" id="pushok" class="form-control" value="<?php echo $JAK_FORM_DATA["pusho_key"];?>">
          </div>

          <p><a class="btn btn-mini btn-info" href="javascript:void(0)" onclick="dNotifyNew('<?php echo addslashes(JAK_TITLE);?>', '<?php echo addslashes($jkl['u26']);?>')"><?php echo $jkl["u26"];?></a></p>

          <div class="form-group">
            <label class="control-label" for="jak_emailnot"><?php echo $jkl["u59"];?></label>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_alwaysonline" value="1"<?php if ($JAK_FORM_DATA["alwaysonline"] == 1) echo ' checked';?>> <?php echo $jkl["g19"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
            <div class="form-check">
              <label class="form-check-label">
                <input class="form-check-input" type="radio" name="jak_alwaysonline" value="0"<?php if ($JAK_FORM_DATA["alwaysonline"] == 0) echo ' checked';?>> <?php echo $jkl["g18"];?>
                <span class="circle">
                  <span class="check"></span>
                </span>
              </label>
            </div>
            <span class="help-block"><?php echo $jkl["u60"];?></span>
          </div>
                  
          <h4><?php echo $jkl["u15"];?></h4>
          <div id="bHoursM"></div>
          <div class="clearfix"></div>
                  <hr>
          <span class="help-block"><?php echo $jkl["u47"];?></span>
          <input type="hidden" name="bhours" id="bhours" value="<?php echo $JAK_FORM_DATA["hours_array"];?>">
          <p><a href="<?php echo JAK_rewrite::jakParseurl('users', 'resethours', $page2, $page3);?>" class="btn btn-sm btn-danger"><?php echo $jkl['g229'];?></a></p>
        </div>
        <div class="card-footer">
          <button type="submit" name="save" class="btn btn-primary pull-right form-submit"><?php echo $jkl["g38"];?></button>
        </div>
      </div>

    </div>
  </div>
</form>

<?php include_once 'footer.php';?>
