<?php include_once 'header.php';?>

<?php if (JAK_BILLING_MODE == 0) { ?>
  <div class="alert alert-rose"><?php echo $jkl['hd86'];?></div>
<?php } ?>

<div class="row">
  <div class="col-md-12">
    <ul class="nav nav-pills nav-pills-warning">
      <li class="nav-item">
        <a class="nav-link active" href="<?php echo JAK_rewrite::jakParseurl('billing');?>"><?php echo $jkl["hd57"];?></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="<?php echo JAK_rewrite::jakParseurl('billing', 'packages');?>"><?php echo $jkl["hd60"];?></a>
      </li>
      <li class="nav-item">
          <a class="nav-link" href="<?php echo JAK_rewrite::jakParseurl('billing', 'products');?>"><?php echo $jkl["hd296"];?></a>
      </li>
    </ul>
  </div>
</div>
<hr>

<!-- Small boxes (Stat box) -->
<div class="row">
  <div class="col-md-3">
    <div class="card card-stats">
      <div class="card-header card-header-info card-header-icon">
        <div class="card-icon">
          <i class="material-icons">plus_one</i>
        </div>
        <p class="card-category"><?php echo $jkl["hd58"];?></p>
        <h3 class="card-title"><?php echo $totalAll;?></h3>
      </div>
      <div class="card-footer">
      </div>
    </div>
  </div>
  <div class="col-md-3">
    <div class="card card-stats">
      <div class="card-header card-header-success card-header-icon">
        <div class="card-icon">
          <i class="material-icons">money</i>
        </div>
        <p class="card-category"><?php echo $jkl["hd59"];?></p>
        <h3 class="card-title"><?php echo $totalAllI;?></h3>
      </div>
      <div class="card-footer">
      </div>
    </div>
  </div>
</div>

<?php if (isset($totalAll) && $totalAll != 0) { ?>

  <form method="post" class="jak_form" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
    <div class="card">
      <div class="card-header card-header-icon card-header-rose">
        <div class="card-icon">
          <i class="material-icons">monetization_on</i>
        </div>
        <h4 class="card-title "><?php echo $jkl['hd22'];?></h4>
      </div>
      <div class="card-body">


        <?php if (JAK_SUPERADMINACCESS) { ?>
          <p class="pull-right">
            <button class="btn btn-danger btn-sm btn-confirm" data-action="delete" data-title="<?php echo addslashes($jkl["g48"]);?>" data-text="<?php echo addslashes($jkl["hd81"]);?>" data-type="warning" data-okbtn="<?php echo addslashes($jkl["g279"]);?>" data-cbtn="<?php echo addslashes($jkl["g280"]);?>"><i class="fa fa-trash"></i></button>
          </p>
        <?php } ?>
        <div class="table-responsive">
          <table id="dynamic-data" class="table table-striped" cellspacing="0" width="100%">
            <thead>
              <tr>
                <th>#</th>
                <th><input type="checkbox" id="jak_delete_all"></th>
                <th><?php echo $jkl["hd77"];?></th>
                <th><?php echo $jkl["hd71"];?></th>
                <th><?php echo $jkl["hd72"];?></th>
                <th><?php echo $jkl["hd78"];?></th>
                <th><?php echo $jkl["hd79"];?></th>
                <th><?php echo $jkl["hd80"];?></th>
              </tr>
            </thead>
          </table>
        </div>

      </div>
    </div>
    <input type="hidden" name="action" id="action">
  </form>

<?php } else { ?>

  <div class="alert alert-rose">
    <?php echo $jkl['i3'];?>
  </div>

<?php } ?>

<?php include_once 'footer.php';?>
