<?php include_once APP_PATH . 'template/business/tplblocks/header.php'; ?>

<div class="section bg-gradient-3" id="cards">
    <div class="container">
        <?php if (JAK_CLIENTID && $jakclient->getVar("frontendadmin") == 1) { ?>
            <div class="col-md-8 ml-auto mr-auto text-center mb-1">
                <button class="btn btn-sm btn-primary firefrontedit b-<?php echo $pageid; ?>" data-area="blog-<?php echo $pageid; ?>" data-pageid="b-<?php echo $pageid; ?>" data-lighteditor="false" type="button"><?php echo $jkl['hd66']; ?></button>
                <button class="btn btn-sm btn-success firefrontsave b-<?php echo $pageid; ?>" data-area="blog-<?php echo $pageid; ?>" data-pageid="b-<?php echo $pageid; ?>" type="button"><?php echo $jkl['hd53']; ?></button>
                <button class="btn btn-sm btn-danger firefrontclose b-<?php echo $pageid; ?>" data-area="blog-<?php echo $pageid; ?>" data-pageid="b-<?php echo $pageid; ?>" type="button"><?php echo $jkl['hd162']; ?></button>
            </div>
        <?php } ?>
        <div class="blog-<?php echo $pageid; ?>">
            <?php if (isset($cms_text) && !empty($cms_text)) foreach ($cms_text as $t) {
                if ($t["cmsslug"] . $t["cmsid"] == 'blog-' . $pageid) {
                    echo $t["description"];
                    break;
                }
            } ?>
        </div>

        <?php if (JAK_BLOG_A && isset($jak_blogs) && is_array($jak_blogs)) { ?>

            <div class="row">
                <?php foreach ($jak_blogs as $bl) {
                    $blogparseurl = JAK_rewrite::jakParseurl(JAK_BLOG_URL, 'a', $bl["id"], JAK_rewrite::jakCleanurl($bl["title"]));
                ?>

                    
                    <div class="col-md-7 pb-4">
                        <a href="<?php echo $blogparseurl; ?>">
                            <img class="img-fluid rounded mb-3 mb-md-0" src="<?php echo $bl["previmg"]; ?>" alt="<?php echo $bl["title"]; ?>">
                        </a>
                    </div>
                    <div class="col-md-5">
                        <h3><?php echo $bl["title"]; ?></h3>
                        <p><?php echo jak_cut_text($bl["content"], 400, '...'); ?></p>
                        <a class="btn btn-primary" href="<?php echo $blogparseurl; ?>"><?php echo $jkl['hd135']; ?></a>
                    </div>
                    

                    


                <?php } ?>
            </div>
            <div class="row mt-3">
                <div class="pagination-area">
                    <?php if ($JAK_PAGINATE) echo $JAK_PAGINATE; ?>
                </div>
            </div>
        <?php } else { ?>
            <div class="row">
                <div class="col-md-12">
                    <div class="alert alert-info">
                        <?php echo $jkl['hd17']; ?>
                    </div>
                </div>
            </div>
        <?php } ?>
    </div>
</div>

<?php include_once APP_PATH . 'template/business/tplblocks/footer.php'; ?>
