<?php if (isset($_SESSION["webembed"])) { ?>
  <p class="text-center"><a href="<?php echo JAK_rewrite::jakParseurl('embedexit');?>"><i class="fa fa-window-restore"></i></a></p>
<?php } else { ?>

  <?php if (isset($JAK_CMS_PAGE["custom4"]) && $JAK_CMS_PAGE["custom4"] == 1 && isset($similarart) && !empty($similarart)) { ?>

    <div class="section">
      <div class="container">
        <div class="row">
          <div class="col-md-12">
            <h2 class="title text-center"><?php echo $similartitle;?></h2>
            <br>
            <div class="row">
              <?php if (isset($_SESSION["webembed"])) { ?>
                <p><a href="<?php echo JAK_rewrite::jakParseurl(JAK_SUPPORT_URL);?>" class="btn btn-secondary"><i class="fa fa-arrow-left"></i></a></p>
              <?php } else { ?>

                <?php foreach ($similarart as $s) {
                  $similarurl = JAK_rewrite::jakParseurl($similarlink, $similarshort, $s["id"], JAK_rewrite::jakCleanurl($s["title"]));
                  ?>
                  <div class="col-md-4">
                    <div class="card card-blog">
                      <?php if (!empty($s["previmg"])) { ?>
                        <div class="card-header card-header-image">
                          <a href="<?php echo $similarurl;?>">
                            <img class="card-img-top img-fluid" src="<?php echo $s["previmg"];?>" alt="<?php echo $s["title"];?>">
                            <div class="card-title">
                              <?php echo $s["title"];?>
                            </div>
                          </a>
                        </div>
                      <?php } ?>
                      <div class="card-body">
                        <?php if (empty($s["previmg"])) { ?>
                          <a href="<?php echo $similarurl;?>">
                            <h6 class="card-category text-primary"><?php echo $s["title"];?></h6>
                          </a>
                        <?php } ?>

                        <p class="card-text"><?php echo jak_cut_text($s["content"], 200, '...');?></p>
                      </div>
                      <div class="card-footer justify-content-center">
                        <div class="author">
                          <a href="<?php echo $similarurl;?>" class="text-primary"><?php echo $jkl["hd1"];?></a>
                        </div>
                        <div class="stats ml-auto">
                          <i class="fa fa-clock"></i> <?php echo JAK_base::jakTimesince($s['time'], JAK_DATEFORMAT, JAK_TIMEFORMAT);?>
                        </div>
                      </div>
                    </div>
                  </div>
                <?php } } ?>
              </div>
            </div>
          </div>
        </div>
      </div>

    <?php } ?>

<!-- Footer -->
<?php if (isset($JAK_CMS_PAGE["footer_tpl"]) && !empty($JAK_CMS_PAGE["footer_tpl"])) include_once APP_PATH.'template/business/tplblocks/footer_tpl/'.$JAK_CMS_PAGE["footer_tpl"];?>
  
<?php } ?>

<!-- Modal -->
<div class="modal fade" id="JAKModal" tabindex="-1" role="dialog" aria-labelledby="JAKModal" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title" id="JAKModalLabel">&nbsp;</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
      </div>
      <div class="modal-body">
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php echo $jkl['g3'];?></button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<script src="<?php echo BASE_URL;?>js/jquery.js"></script>
<script src="<?php echo BASE_URL;?>js/functions.js"></script>
<!--  Plugin for Switches, full documentation here: http://www.jque.re/plugins/version3/bootstrap.switch/ -->
<script src="<?php echo BASE_URL;?>template/business/js/plugins/bootstrap-switch.js"></script>
<!--  Plugin for the Sliders, full documentation here: http://refreshless.com/nouislider/ -->
<script src="<?php echo BASE_URL;?>template/business/js/plugins/nouislider.min.js"></script>
<!--  Plugin for the DatePicker, full documentation here: https://github.com/uxsolutions/bootstrap-datepicker -->
<script src="<?php echo BASE_URL;?>template/business/js/plugins/moment.min.js"></script><!-- Plugin for Tags, full documentation here: https://github.com/bootstrap-tagsinput/bootstrap-tagsinputs  -->
<script src="<?php echo BASE_URL;?>template/business/js/plugins/bootstrap-tagsinput.js"></script>
<!--  Plugin for Select, full documentation here: http://silviomoreto.github.io/bootstrap-select -->
<script src="<?php echo BASE_URL;?>template/business/js/plugins/bootstrap-selectpicker.js"></script>
<!--  Plugin for Datetimepicker, full documentation here: https://eonasdan.github.io/bootstrap-datetimepicker/ -->
<script src="<?php echo BASE_URL;?>template/business/js/plugins/bootstrap-datetimepicker.js"></script>
<!--  for Jasny fileupload -->
<script src="<?php echo BASE_URL;?>template/business/js/plugins/jasny-bootstrap.min.js"></script>

<?php if ($jkl["rtlsupport"]) { ?>
<!-- RTL Support -->
<script src="https://cdn.rtlcss.com/bootstrap/v4.5.3/js/bootstrap.min.js" integrity="sha384-54+cucJ4QbVb99v8dcttx/0JRx4FHMmhOWi4W+xrXpKcsKQodCBwAvu3xxkZAwsH" crossorigin="anonymous"></script>
<!-- End RTL Support -->
<?php } ?>

<?php if (JAK_CLIENTID && $jakclient->getVar("frontendadmin") == 1) { ?>
<script src="<?php echo BASE_URL;?>template/business/editor/summernote-bs4.min.js"></script>
<script src="<?php echo BASE_URL;?>template/business/editor/editor.js"></script>
<?php } ?>

<script src="<?php echo BASE_URL;?>js/contact.js"></script>
<?php if (!empty(JAK_RECAP_CLIENT) && !JAK_CLIENTID) { ?>
  <script src="https://www.google.com/recaptcha/api.js?onload=CaptchaCallback&amp;render=explicit" async defer></script>
  <script>
    var CaptchaCallback = function() {
      $('.g-recaptcha').each(function(index, el) {
        grecaptcha.render(el, {'sitekey' : '<?php echo JAK_RECAP_CLIENT;?>'});
      });
    };
  </script>
<?php } ?>
<script>
  ls.main_url = "<?php echo BASE_URL;?>";
  ls.ls_submit = "<?php echo $jkl['g11'];?>";
  ls.ls_submitwait = "<?php echo $jkl['g8'];?>";
  $(document).ready(function() {
    jQuery("#pass").keyup(function() {
      passwordStrength(jQuery(this).val());
    });
  });
</script>

<!-- Control Center for all Business Template related features -->
<script src="<?php echo BASE_URL;?>template/<?php echo JAK_FRONT_TEMPLATE;?>/js/mainkit.js"></script>
<!-- Load Prism -->
<script src="<?php echo BASE_URL;?>template/<?php echo JAK_FRONT_TEMPLATE;?>/js/prism.js"></script>

<script>
  <?php if (isset($_SESSION["infomsg"])) { ?>
    $.notify({icon: 'info', message: '<?php echo addslashes($_SESSION["infomsg"]);?>'}, {type: 'info', animate: {
      enter: 'animate__animated animate__fadeInDown',
      exit: 'animate__animated animate__fadeOutUp'
    }});
  <?php } if (isset($_SESSION["successmsg"])) { ?>
    $.notify({icon: 'check', message: '<?php echo addslashes($_SESSION["successmsg"]);?>'}, {type: 'success', animate: {
      enter: 'animate__animated animate__fadeInDown',
      exit: 'animate__animated animate__fadeOutUp'
    }});
  <?php } if (isset($_SESSION["errormsg"])) { ?>
    $.notify({icon: 'warning', message: '<?php echo addslashes($_SESSION["errormsg"]);?>'}, {type: 'danger', animate: {
      enter: 'animate__animated animate__fadeInDown',
      exit: 'animate__animated animate__fadeOutUp'
    }});
  <?php } ?>
</script>

<?php if (!empty($js_file_footer)) include_once('template/business/tplblocks/'.$js_file_footer);?>

<?php if (JAK_CHATWIDGET_ID > 0 && !isset($_SESSION["webembed"])) { ?>
  <!-- Cloud Desk 3 widget -->
  <script>
    (function(w, d, s, u) {
      w.id = <?php echo JAK_CHATWIDGET_ID;?>; w.lang = '<?php echo $BT_LANGUAGE;?>'; w.cName = '<?php echo (isset($jakclient) ? $jakclient->getVar("username") : "");?>'; w.cEmail = '<?php echo (isset($jakclient) ? $jakclient->getVar("email") : "");?>'; w.cMessage = ''; w.lcjUrl = u;
      var h = d.getElementsByTagName(s)[0], j = d.createElement(s);
      j.async = true; j.src = '<?php echo BASE_URL;?>js/jaklcpchat.js';
      h.parentNode.insertBefore(j, h);
    })(window, document, 'script', '<?php echo BASE_URL;?>');
  </script>
  <div id="jaklcp-chat-container"></div>
  <!-- end Cloud Desk 3 widget -->
<?php } ?>

</body>
</html>
