<?php include_once 'header.php';?>

<!-- Small boxes (Stat box) -->

<div class="row">
  <div class="col-md-8">
    <div class="card card-stats">
      <div class="card-header card-header-warning card-header-icon">
        <div class="card-icon">
          <i class="material-icons">av_timer</i>
        </div>
        <p class="card-category"><?php echo $jkl["stat_s6"];?></p>
        <h3 class="card-title"><?php echo secondsToTime($total_support, $jkl['g230']);?></h3>
      </div>
      <div class="card-footer">
      </div>
    </div>
  </div>
  <div class="col-md-4">
    <div class="card card-stats">
      <div class="card-header card-header-rose card-header-icon">
        <div class="card-icon">
          <i class="material-icons">email</i>
        </div>
        <p class="card-category"><?php echo $jkl["stat_s19"];?></p>
        <h3 class="card-title"><?php echo $bounce_percentage;?></h3>
      </div>
      <div class="card-footer">
      </div>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-12">
    <p><span class="badge badge-dark"><i class="fa fa-comments"></i> <?php echo $jkl['g225'];?></span>
      <span class="badge badge-danger"><i class="fa fa-file-alt"></i> <?php echo $jkl['g226'];?></span></p>
    </div>
  </div>

  <?php if (isset($totalAll) && $totalAll != 0) { ?>

    <form method="post" class="jak_form" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
      <div class="card">
        <div class="card-header card-header-icon card-header-rose">
          <div class="card-icon">
            <i class="material-icons">textsms</i>
          </div>
          <h4 class="card-title "><?php echo $jkl["m1"];?></h4>
        </div>
        <div class="card-body">

          <?php if (JAK_SUPERADMINACCESS) { ?>
            <div class="pull-right">
              <a class="btn btn-warning btn-sm btn-confirm" href="<?php echo JAK_rewrite::jakParseurl('leads', 'truncate');?>" data-title="<?php echo addslashes($jkl["g48"]);?>" data-text="<?php echo addslashes($jkl["e40"]);?>" data-type="warning" data-okbtn="<?php echo addslashes($jkl["g279"]);?>" data-cbtn="<?php echo addslashes($jkl["g280"]);?>"><i class="fa fa-exclamation-triangle"></i></a> <button class="btn btn-danger btn-sm btn-confirm" data-action="delete" data-title="<?php echo addslashes($jkl["g48"]);?>" data-text="<?php echo addslashes($jkl["e30"]);?>" data-type="warning" data-okbtn="<?php echo addslashes($jkl["g279"]);?>" data-cbtn="<?php echo addslashes($jkl["g280"]);?>"><i class="fa fa-trash"></i></button>
            </div>
            <div class="clearfix"></div>
          <?php } ?>

            <table id="dynamic-data" class="table table-striped" cellspacing="0" width="100%">
              <thead>
                <tr>
                  <th>#</th>
                  <th><input type="checkbox" id="jak_delete_all"></th>
                  <th><?php echo $jkl["g54"];?></th>
                  <th><?php echo $jkl["l5"];?></th>
                  <th><?php echo $jkl["g130"];?></th>
                  <th><?php echo $jkl["g131"];?></th>
                  <th><?php echo $jkl["g181"];?></th>
                  <th><i class="fa fa-comments"></i></th>
                  <th><?php echo $jkl["g13"];?></th>
                </tr>
              </thead>
            </table>

        </div>
      </div>
      <input type="hidden" name="action" id="action">
    </form>

  <?php } else { ?>

    <div class="alert alert-rose">
      <?php echo $jkl['i3'];?>
    </div>

  <?php } ?>

  <?php include_once 'footer.php';?>
