<?php include_once 'header.php';?>

<div class="row">
  <div class="col-md-12">

    <ul class="nav nav-pills nav-pills-warning">
      <li class="nav-item">
        <a class="nav-link<?php if ($page1 != 'support') echo ' active';?>" href="<?php echo JAK_rewrite::jakParseurl('response');?>"><?php echo $jkl["hd7"];?></a>
      </li>
      <?php if (jak_get_access("support", $jakuser->getVar("permissions"), JAK_MAIN_OP)){?>
        <li class="nav-item">
          <a class="nav-link<?php if ($page1 == 'support') echo ' active';?>" href="<?php echo JAK_rewrite::jakParseurl('response', 'support');?>"><?php echo $jkl["hd8"];?></a>
        </li>
      <?php } ?>
    </ul>
    <hr>
  </div>
</div>

<div class="row">
  <div class="col-md-4">

    <div class="card">
      <div class="card-header card-header-icon card-header-success">
        <div class="card-icon">
          <i class="material-icons">add</i>
        </div>
        <h4 class="card-title "><?php echo $jkl["g45"];?></h4>
      </div>
      <div class="card-body">

        <?php if ($errors) { ?>
          <div class="alert alert-danger"><?php if (isset($errors["e"])) echo $errors["e"];
          if (isset($errors["e1"])) echo $errors["e1"];?></div>
        <?php } ?>

        <form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">

          <div class="form-group">
            <label class="control-label" for="department"><?php echo $jkl["g131"];?></label>
            <select name="jak_depid" id="department" class="selectpicker col-12" data-live-search="true">
              <option value="0"><?php echo $jkl["g105"];?></option>
              <?php if (isset($JAK_DEPARTMENTS) && is_array($JAK_DEPARTMENTS)) foreach($JAK_DEPARTMENTS as $z) { ?>
                <option value="<?php echo $z["id"];?>"><?php echo $z["title"];?></option>
              <?php } ?>
            </select>
          </div>

          <div class="form-group">
            <label class="control-label" for="title"><?php echo $jkl["g16"];?></label>
            <input type="text" name="title" class="form-control<?php if (isset($errors["e"])) echo " is-invalid";?>" value="<?php if (isset($_POST["title"])) echo $_POST["title"];?>">
          </div>
          <?php if (empty($page1)) { ?>
          <div class="form-group">
              <label for="short_code"><?php echo $jkl["g349"];?></label>
            <input type="text" name="short_code" class="form-control">
          </div>
          <?php } ?>
          <div class="form-group">
            <label class="control-label" for="response"><?php echo $jkl["g49"];?></label>
            <textarea name="response" class="form-control<?php if (isset($errors["e1"])) echo " is-invalid";?>" rows="5"><?php if (isset($_POST["response"])) echo $_POST["response"];?></textarea>
            <a href="javascript:void(0)" class="btn btn-info btn-sm btn-round btn-fab" onclick="md.showNotification('add_alert', '<?php echo addslashes($jkl["h13"]);?>', 'info', 'top', 'center')"><i class="material-icons">help</i></a>
          </div>

          <div class="form-actions">
            <button type="submit" name="insert_response" class="btn btn-primary btn-block"><?php echo $jkl["g38"];?></button>
          </div>

        </form>
      </div>

    </div>
  </div>
  <div class="col-md-8">

    <div class="card">
      <div class="card-header card-header-icon card-header-rose">
        <div class="card-icon">
          <i class="material-icons">reply</i>
        </div>
        <h4 class="card-title "><?php echo $jkl["g46"];?></h4>
      </div>
      <div class="card-body">

        <?php if (isset($RESPONSES_ALL) && is_array($RESPONSES_ALL) && !empty($RESPONSES_ALL)) { ?>
          <div class="table-responsive">
            <table class="table table-striped">
              <thead>
                <tr>
                  <th>#</th>
                  <th><?php echo $jkl["g16"];?></th>
                  <?php if (empty($page1)) { ?>
                  <th><?php echo $jkl["g349"];?></th>
                  <?php } ?>
                  <th><?php echo $jkl["g49"];?></th>
                  <th><?php echo $jkl["g47"];?></th>
                  <th><?php echo $jkl["g48"];?></th>
                </tr>
              </thead>
              <?php foreach($RESPONSES_ALL as $v) { ?>
                <tr>
                  <td><?php echo $v["id"];?></td>
                  <td class="title"><a href="<?php echo ($page1 != 'support' ? JAK_rewrite::jakParseurl('response', 'edit', $v["id"]) : JAK_rewrite::jakParseurl('response', 'support', 'edit', $v["id"]));?>"><?php echo $v["title"];?></a></td>
                  <?php if (empty($page1)) { ?>
                  <td><?php echo $v["short_code"];?></td>
                  <?php } ?>
                  <td class="desc"><?php echo jak_cut_text($v["message"], 100, "...");?></td>
                  <td><a class="btn btn-default btn-sm" href="<?php echo ($page1 != 'support' ? JAK_rewrite::jakParseurl('response', 'edit', $v["id"]) : JAK_rewrite::jakParseurl('response', 'support', 'edit', $v["id"]));?>"><i class="fa fa-pencil"></i></a></td>
                  <td><a class="btn btn-danger btn-sm btn-confirm" href="<?php echo ($page1 != 'support' ? JAK_rewrite::jakParseurl('response', 'delete', $v["id"]) : JAK_rewrite::jakParseurl('response', 'support', 'delete', $v["id"]));?>" data-title="<?php echo addslashes($jkl["g48"]);?>" data-text="<?php echo addslashes($jkl["e31"]);?>" data-type="warning" data-okbtn="<?php echo addslashes($jkl["g279"]);?>" data-cbtn="<?php echo addslashes($jkl["g280"]);?>"><i class="fa fa-trash"></i></a></td>
                </tr>
              <?php } ?>
            </table>
          </div>

        <?php } else { ?>

          <div class="alert alert-rose">
            <?php echo $jkl['i3'];?>
          </div>

        <?php } ?>

      </div>
    </div>
  </div>    
</div>

<?php include_once 'footer.php';?>
