<?php include_once APP_PATH.'template/business/tplblocks/header.php';?>

<div class="section section-gray">
  <div class="container">
    <div class="row">
      <div class="col-md-10 ml-auto mr-auto">
        <div class="card card-contact no-transition">
          <?php if (JAK_CLIENTID && $jakclient->getVar("frontendadmin") == 1) { ?>
              <div class="col-md-8 ml-auto mr-auto text-center mb-1">
                <button class="btn btn-sm btn-primary firefrontedit ct-<?php echo $pageid;?>" data-area="contact-title-<?php echo $pageid;?>" data-pageid="ct-<?php echo $pageid;?>" data-lighteditor="false" type="button"><?php echo $jkl['hd66'];?></button>
                <button class="btn btn-sm btn-success firefrontsave ct-<?php echo $pageid;?>" data-area="contact-title-<?php echo $pageid;?>" data-pageid="ct-<?php echo $pageid;?>" type="button"><?php echo $jkl['hd53'];?></button>
                <button class="btn btn-sm btn-danger firefrontclose ct-<?php echo $pageid;?>" data-area="contact-title-<?php echo $pageid;?>" data-pageid="ct-<?php echo $pageid;?>" type="button"><?php echo $jkl['hd162'];?></button>
              </div>
          <?php } ?>
          <div class="text-center contact-title-<?php echo $pageid;?>">
            <?php if (isset($cms_text) && !empty($cms_text)) foreach ($cms_text as $t) { if ($t["cmsslug"].$t["cmsid"] == 'contact-title-'.$pageid) { echo $t["description"]; break; } } ?>
          </div>
          <div class="row">
            <div class="col-md-5 ml-auto">
              <?php if (JAK_CLIENTID && $jakclient->getVar("frontendadmin") == 1) { ?>
              <div class="col-md-8 ml-auto mr-auto text-center mb-1">
                <button class="btn btn-sm btn-primary firefrontedit cb-<?php echo $pageid;?>" data-area="contact-body-<?php echo $pageid;?>" data-pageid="cb-<?php echo $pageid;?>" data-lighteditor="false" type="button"><?php echo $jkl['hd66'];?></button>
                <button class="btn btn-sm btn-success firefrontsave cb-<?php echo $pageid;?>" data-area="contact-body-<?php echo $pageid;?>" data-pageid="cb-<?php echo $pageid;?>" type="button"><?php echo $jkl['hd53'];?></button>
                <button class="btn btn-sm btn-danger firefrontclose cb-<?php echo $pageid;?>" data-area="contact-body-<?php echo $pageid;?>" data-pageid="cb-<?php echo $pageid;?>" type="button"><?php echo $jkl['hd162'];?></button>
              </div>
          <?php } ?>
              <div class="card-body contact-body-<?php echo $pageid;?>">
                <?php if (isset($cms_text) && !empty($cms_text)) foreach ($cms_text as $t) { if ($t["cmsslug"].$t["cmsid"] == 'contact-body-'.$pageid) { echo $t["description"]; break; } } ?>
              </div>
            </div>
            <div class="col-md-5 mr-auto pt-5">
              <div class="jak-thankyou"></div>
              <form class="jak-ajaxform" method="post" action="<?php echo $_SERVER['REQUEST_URI'];?>">
                <div class="card-body">
                  <div class="row">
                    <div class="col-md-6">
                      <div class="form-group label-floating">
                        <label for="gname" class="control-label"><?php echo $jkl["g4"];?></label>
                        <input type="text" name="gname" id="gname" class="form-control" placeholder="<?php echo $jkl["g4"];?>">
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group label-floating">
                        <label for="gemail" class="control-label"><?php echo $jkl["g5"];?></label>
                        <input type="email" name="gemail" id="gemail" class="form-control" placeholder="<?php echo $jkl["g5"];?>">
                      </div>
                    </div>
                  </div>
                  
                  <?php if (isset($custom_fields_contact) && !empty($custom_fields_contact)) echo $custom_fields_contact;?>

                  <div class="form-group label-floating">
                    <label for="gmessage" class="control-label"><?php echo $jkl["g6"];?></label>
                    <textarea name="gmessage" class="form-control" id="gmessage" rows="6" placeholder="Message"></textarea>
                  </div>
                  <div class="row">
                    <div class="col-md-6">
                      <?php if (!empty(JAK_DSGVO_CONTACT)) { ?>
                        <div class="form-check">
                          <label class="form-check-label">
                            <input class="form-check-input" type="checkbox" name="gdsgvo" id="gdsgvo">
                            <span class="form-check-sign">
                              <span class="check"></span>
                            </span>
                            <?php echo JAK_DSGVO_CONTACT;?>
                          </label>
                        </div>
                      <?php } if (!empty(JAK_RECAP_CLIENT)) { ?>
                        <p><div class="g-recaptcha" data-sitekey="<?php echo JAK_RECAP_CLIENT;?>"></div></p>
                      <?php } ?>
                    </div>
                    <div class="col-md-6 text-right">
                      <button type="submit" class="btn btn-primary ls-submit"><?php echo $jkl['g7'];?></button>
                      <input type="hidden" name="send_email" value="1">
                    </div>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<?php include_once APP_PATH.'template/business/tplblocks/footer.php';?>
